/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//定义用户全局参数
var ls_choice_ope = 1;//当前选组织窗口返回值的作用 1：用于新增单位 2：用于单位排序 3：用于单位选取
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/


/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').treegrid({
   title:"分级权限管理",
   iconCls:$.getJwWindowPic(),
   url:'jwAppsU2UData_listU2UTree',
   queryParams : queryData,//查询参数
   rownumbers : true,//显示索引号
   animate: true,
   draggable: true,
   singleSelect : false,//是否多选
   fitColumns : true,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : false,//分页显示
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   idField: 'UUID',
   parentField: 'PARENT_ID',
   treeField: 'NAME',
   frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			},
			{
				field : 'option',
				title : '操作',
				width : 80,
				align : 'center',
				formatter : formatMenu
			}
			       ]],
   columns:[[
				{
					field : 'LOGINID',
					title : '人员编号',
					width : 100,
					align : 'left'
				}, {
					field : 'NAME',
					title : '姓名',
					width : 300,
					align : 'left'
				}, {
					field : 'TYPENAME',
					title : '类型',
					width : 100,
					align : 'left'
				}, {
					field : 'UNIT_NAME',
					title : '单位',
					width : 200,
					align : 'left'
				} 
			]],
		    onClickCell:function(field,row){
		        if(row.children == undefined){
		     	  $("#U2Utab_delete").show();
		        }else{
		     	  $("#U2Utab_delete").hide();
		        }
		     },
		  	onLoadSuccess:function(data){
		     	//加载单位类别下拉框
		  	    //加载单位下拉框
		  		var v_unitquery = {};
		  		var v_unit_tree = jwAppUnitModel.jwAppsUnitDataAction.listUnitTree(v_unitquery);
		  		$('#FIELD_UNIT_UUID').combotree('loadData', [v_unit_tree.rows[0]]);
		  		
		  		createOptionMenuTooltipTree(60);
		     },
			toolbar : '#tb'
	});
	/****/

	/**
	 * 序号：4
	 * 功能：设置操作列浮动菜单
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//操用列显示更多(一般情况下无需更改)
	function formatMenu(value, data,index) {
		var returnData="";
		return  returnData
		      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
		      + "<span data-p1="+data.UUID+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
	}
	
	//上浮横向菜单集里的具体菜单项(需更改)
	function getOptionMenu(data,index){
		var returnData= "<span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
			+ index + "')\">删除</a>";
		return returnData;
	}
	
	//返回菜单集的菜单个数(需更改)
	function getOptionMenuCount(){
		var is_menu_count = 1;
		return is_menu_count;
	}

	/**
	 * 序号：5
	 * 功能：新增弹出
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//加载增加子页面
	function addRow(){
//		var is_row={OPETYPE:'insert'};
//		openEditRow("jwAppsUserView_userDetail",is_row,"新增",true,0.65,0.65,160,0);
		choiceUser('','true','1');
	}
	//加载增加子页面成功后的回调
	function addUrlOnloadCallback(is_row){
	}
	//保存
	function insertData(is_entity){
		
	}
	/****/

	/**
	 * 序号：5
	 * 功能：单个删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteRow(index){	
		$('#list').treegrid('select',index);
		var is_row = $('#list').treegrid('getSelected');
		$('#list').treegrid('unselectAll');
		var code = is_row.UUID;
		$.messager.confirm('提示', '确定删除?', function(r) {
			if (r) {
				var v_query = {};
				v_query.deletekey = code;
			    var v_result = jwAppU2UModule.jwAppsU2UActAction.deleteU2U(v_query);
				$.messager.alert('提示',v_result.VALUE);
				$('#list').treegrid('reload');
			}
		});
	}
	/****/

	/**
	 * 序号：6
	 * 功能：批量删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteBatchRow(){
		var code="";
		var is_row = $('#list').treegrid('getSelections');
		for(var i=0; i<is_row.length; i++){
			code = code + is_row[i].UUID+",";
		}
		if(is_row == null || is_row == ""){
			$.messager.alert('提示',"请选择需删除的行!",'info');
			return;
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		$.messager.confirm('提示', '确定删除?', function(r) {
			if (r) {
				var v_query = {};
				v_query.deletekey = code;
			    var v_result = jwAppU2UModule.jwAppsU2UActAction.deleteU2U(v_query);
				$.messager.alert('提示',v_result.VALUE);
				$('#list').treegrid('reload');
			}
		});
	}
	/****/

	/**
	 * 序号：7
	 * 功能：刷新
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function refreshRow(){
		$('#list').treegrid('load',{});
		$("#U2UTab_searchForm")[0].reset();
	}
	/****/

	/**
	 * 序号：8
	 * 功能：查询
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function searchRow(){
		var v_query = $("#U2UTab_searchForm").getFormVal();
		$('#list').treegrid('load',v_query);
	}
	/****/
	
	/**
	 * 序号：9
	 * 功能：单位弹出框选择
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function choiceUnit(uuid,singleSelect,ope){//编辑框上弹出单位选择
		ls_choice_ope = ope;
	   var is_title = "单位选择";
	   var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUnitView_unitChoice?singleSelect="+singleSelect+"&ope="+ope;
	   openViewIframRow("unitTabChoice",modifyUrl,null,is_title,true,0.95,0.95,0,0);
		
	}
	/****/
	
	/**
	 * 序号：10
	 * 功能：人员弹出框选择
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function choiceUser(uuid,singleSelect,ope){//编辑框上弹出单位选择
		ls_choice_ope = ope;
	   var is_title = "人员选择";
	   var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUserView_userChoice?singleSelect="+singleSelect+"&ope="+ope;
	   openViewIframRow("userTabChoice",modifyUrl,null,is_title,true,0.95,0.95,0,0);
		
	}
	/****/
	
	//选单位和人员后回调方法
	function closeCallback(is_entity){
		var ret_uuids = $('#return_text').text();
		if(ret_uuids==''||ret_uuids==null||ret_uuids==undefined){
		   return;
		}
	    if(ls_choice_ope=="3"){
		  $("#FIELD_UNIT_UUID").combotree("setValue",ret_uuids);
		}else if(ls_choice_ope=="1"){
			if(ret_uuids.length>0){
			   var v_entity = {};
			   v_entity.FIELD_USERID_1 = ret_uuids;
			   var v_result = jwAppU2UModule.jwAppsU2UActAction.insertU2U(v_entity);
			   $.messager.alert('提示',v_result.VALUE);
			   $('#list').treegrid('reload');
			}
		}
		  

    }


